---
dependency:
  name: galaxy
driver:
  name: delegated
  options:
    ansible_connection_options:
      connection: local
platforms:
  - name: delegated-travis-instance
provisioner:
  name: ansible
  playbooks:
    converge: playbook.yml
  inventory:
    host_vars:
      delegated-travis-instance:
        ansible_connection: local
  lint:
    name: ansible-lint
lint:
  name: yamllint
  options:
    config-file: molecule/default/lint.yml
verifier:
  name: testinfra
  lint:
    name: flake8
scenario:
  name: default
  test_sequence:
    - lint
    - dependency
    - syntax
    - converge
    - idempotence
    - verify
